[greenstone-users] Solaris error configuring IsisGdl

From Steve Thomas
DateMon, 07 Mar 2005 15:15:27 +1030
Subject [greenstone-users] Solaris error configuring IsisGdl
Hi.

I'm trying to build Greenstone 2.53 on Solaris 8 (SPARC). I have
gcc 3.3.2, gdbm 1.8.3 and gmake 3.80.

Running Install.sh proceeds nicely until this:

> Configuring IsisGdl (CDS/ISIS database reader)
>
> checking for g++... g++
> checking for C++ compiler default output... a.out
> checking whether the C++ compiler works... configure: error: cannot run C++ compiled programs.
> If you meant to cross compile, use `--host'.
> configure: error: /bin/bash './configure' failed for packages
> compiling ...

I see in the archives there's mention of CDS/ISIS problems, with
an earlier version, for which modified files were provides.
These are no longer available, so I assume they've been
incorporated into the latest version.

Any clues will be most welcome. (I've kinda promised someone we
could get this running, so my reputation is at stake here. :-(

Regards,
Steve

--
Stephen Thomas,
Senior Systems Analyst,
Adelaide University Library
ADELAIDE UNIVERSITY SA 5005
AUSTRALIA
Tel: +61 8 8303 5190 Fax: +61 8 8303 4369
Email: stephen.thomas@adelaide.edu.au
URL: http://staff.library.adelaide.edu.au/~sthomas/